# Default values for minecraft.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  repository: itzg/minecraft-server
  tag: java17
  pullPolicy: IfNotPresent

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

# Settings for the minecraft server
# for details refer to https://github.com/itzg/docker-minecraft-server/blob/master/README.md
minecraft:
  # you need to accept the minecraft eula with "TRUE" https://account.mojang.com/documents/minecraft_eula
  EULA: "FALSE"
  # LATEST, SNAPSHOT, or any version like 1.14.2
  version: LATEST
  # "" for VANILLA, FORGE, SPIGOT, BUKKIT, PAPER, FTP, CURSEFORGE, SPONGEVANILLA, FABRIC
  type: "PAPER"
  # URL to download FTB or CURSEFORGE modpack from
  modpackURL: ""
  mods: []
    # - http://your.mod/file.jar
  # Download URL for PAPER FORGE BUKKIT and SPIGOT
  downloadURL: ""
  properties:
    serverName: "AMinecraftServer"
    motd: "A Minecraft Server"
    # peaceful, easy, normal, hard
    difficulty: "normal"
    hardcore: "false"
    mode: "survival"
    seed: ""
    whitelist: []
      # - user1
      # - audron
    ops: []
      # - user1
      # - audron
    # URL to an icon
    icon: ""
    enableRCON: "true"
    RCONpassword: ""
    maxPlayers: 20
    maxWorldSize: ""
    allowNether: "true"
    enableCommandBlock: "false"
    forceGamemode: "true"
    generateStructures: "true"
    maxBuildHeight: "256"
    maxTickTime: "60000"
    spawnAnimals: "true"
    spawnMonsters: "true"
    spawnNPCs: "true"
    spawnProtection: "0"
    viewDistance: "10"
    pvp: "true"
    levelType: "DEFAULT"
    generatorSettings: ""
    resourcePack: ""
    resourcePackSHA1: ""
    world: ""
    removeOldMods: "false"
    onlineMode: "true"
    allowFlight: "false"

dataPersistentVolume:
  enabled: true
  name: minecraft-data
  existingClaim: ""
  class: ""
  size: 20Gi
  accessModes:
    - ReadWriteOnce

worldsPersistentVolume:
  enabled: false
  name: minecraft-plugins
  existingClaim: ""
  class: ""
  size: 30Gi
  accessModes:
    - ReadWriteMany

pluginsPersistentVolume:
  enabled: false
  name: minecraft-plugins
  existingClaim: ""
  class: ""
  size: 30Gi
  accessModes:
    - ReadWriteMany

service:
  type: ClusterIP
  externalIPs: []
  loadBalancerIP: ""
  gamePort: 25565
  rconPort: 25575

extraPorts:
- name: map
  containerPort: 8123
  protocol: TCP

metrics:
  enabled: false
  serviceMonitorEnabled: false
  service:
    type: ClusterIP
    externalIPs: []
    loadBalancerIP: ""
    port: 9225

# Ingress for world map
ingress:
  enabled: false
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: chart-example.local
      paths: []
        # - path: /
        #   port: 8123
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name:

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

nodeSelector: {}

tolerations: []

affinity: {}
